#!/bin/sh

# Vars
# Do NOT change these, as they affect the update engine!
Revision="001"
VersionName="EurekaROM-44433.$Revision"

# Prefixed log messages are easier to distinguish
pLog() {
	log "$VersionName: $1"
}

# We now debug every step of the process so it's easier to debug problems
pLog "Imager.sh now running"

# Are we on the proper flashcast ver? Do a version check
if ! test -f "/etc/flasher-version" ; then
	fatal "$VersionName: Installation Cancelled, Please Update to Flashcast Version 1.3 or Later."
elif ! is_at_least_version "1.3" ; then
	fatal "$VersionName: Installation Cancelled, Please Update to Flashcast Version 1.3 or Later."
fi

# First we flash the kernel
pLog "Flashing Kernel..."
flash_mtd_partition 'kernel' ./boot.img

# Then we flash the system
pLog "Flashing Recovery..."
flash_mtd_partition 'recovery' ./recovery.img

# Then we flash the system
pLog "Flashing System..."
flash_mtd_partition 'rootfs' ./system.img

# One final goodbye
pLog "Script Finished!"

